Skip to main content
POST
/
v1.0
/
subscribers
/
create
json
{
  "Name": "Jerome User 4",
  "Email": "jerome4@joonto.com",
  "PhoneNumbers": ["+1234567890"],
  "Role": "Subscriber",
  "Password": "1234567890",
  "AccountId": "AID-ab12345-2725-45a1-bd5e-526ed19799xx"
}
curl -X POST https://api.telegent.com/v1.0/subscribers/create \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"Name": "Jerome User 4",
"Email": "jerome4@joonto.com",
"PhoneNumbers": ["+1234567890"],
"Role": "Subscriber",
"Password": "1234567890",
"AccountId": "AID-ab12345-2725-45a1-bd5e-526ed19799xx"
}'
import requests

url = "https://api.telegent.com/v1.0/subscribers/create"

payload = {
"Name": "Jerome User 4",
"Email": "jerome4@joonto.com",
"PhoneNumbers": ["+1234567890"],
"Role": "Subscriber",
"Password": "1234567890",
"AccountId": "AID-eab92510-1040-45a5-bb9c-0bad9272f89d"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
Name: 'Jerome User 4',
Email: 'jerome4@joonto.com',
PhoneNumbers: ['+1234567890'],
Role: 'Subscriber',
Password: '1234567890',
AccountId: 'AID-eab92510-1040-45a5-bb9c-0bad9272f89d'
})
};

fetch('https://api.telegent.com/v1.0/subscribers/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "SubscriberId": "TSUID-90c644ff-7f70-4587-a27e-d1d45bde7528",
  "Name": "Jerome User 4",
  "Email": "jerome4@joonto.com",
  "PhoneNumbers": [
    "+1234567890"
  ],
  "Role": "Subscriber",
  "Account": {
    "AccountId": "AID-ab12345-2725-45a1-bd5e-526ed19799xx",
    "CompanyName": "Telegent Account"
  }
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}

Body

application/json
Name
string
required

Subscriber's full name

Example:

"Jerome User 4"

Email
string<email>
required

Subscriber's email address

Example:

"jerome4@joonto.com"

PhoneNumbers
string[]
required

Array of phone numbers associated with subscriber

Example:
["+1234567890"]
Role
enum<string>
required

Role of the subscriber

Available options:
Subscriber,
Manager,
Account Admin
Example:

"Subscriber"

Password
string
required

Password for the subscriber account

Example:

"1234567890"

AccountId
string
required

Account ID to associate subscriber with

Example:

"AID-eab92510-1040-45a5-bb9c-0bad9272f89d"

Response

Success — returns the new Subscriber ID (TSUID-) and account details

The response is of type object.